tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mladen Turk <mt...@apache.org>
Subject Re: svn commit: r966613 - in /tomcat/trunk: build.xml test/org/apache/catalina/startup/TestTomcatSSL.java test/org/apache/catalina/startup/TomcatBaseTest.java webapps/docs/changelog.xml
Date Wed, 28 Jul 2010 18:48:25 GMT
On 07/28/2010 06:18 PM, Mark Thomas wrote:
> On 28/07/2010 10:52, Mladen Turk wrote:
>>
>> Using pre-cleanups wouldn't require the api change, so
>> even tcnative-1 with pre 1.3.x APR would work
>> (in some cases performing core on shutdown obviously)
>
> I don't pretend to know enough about native code to be able to help out
> with this but from my experience with the tests anything that we can do
> to make native more robust, particularly on shut down, would be great.
>

Agreed.

We would eventually need an APR versioning policy anyhow.
Having at least 1.3.x as required would solve the shutdown
problems, while having 1.4.x would allow to use the new
poll_wakeup API simplifying the poller code by an order
of magnitude, and also increasing the performance.

1.4 also uses new WSAPoll on windows
(if running under Vista and up) which allows
huge number of sockets in the poller without the
need for multiple 1k size pollsets
(I tested that with 16k sockets in one poller)

So my vote would be 1.4.x as minimum APR version
required.


Regards
-- 
^TM

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message